/*
* Swiper Library
*/
.swiper {
  margin-left: auto;
  margin-right: auto;
  position: relative;
  overflow: hidden;
  list-style: none;
  padding: 0;
  /* Fix of Webkit flickering */
  z-index: 1;
  display: block;

	touch-action: pan-y;
}

.swiper-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 1;
  display: flex;
  transition-property: transform;
  transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
  box-sizing: content-box;
}
.swiper-android .swiper-slide, .swiper-wrapper {
  transform: translate3d(0px, 0, 0);
}

.swiper-slide {
  flex-shrink: 0;
  width: 100%;
  height: 100%;
  position: relative;
  transition-property: transform;
  display: block;
}
.swiper-slide-invisible-blank {
  visibility: hidden;
}

.swiper-backface-hidden .swiper-slide {
  transform: translateZ(0);
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}


/*
* Layout
*/
.logo {
	font-weight: 700;
	font-size: 17px;
	line-height: 1.2;

	color: #FFF;
	text-decoration: none;
	letter-spacing: 3.9px;

	margin: 0 42px 0 0;
}

.logo:hover {
	color: #FFFFFF;
}

.logo__icon {
	width: 24px;
	height: 24px;

	background-image: linear-gradient(45deg, white 25%, transparent 25%, transparent 75%, white 75%, white), linear-gradient(45deg, white 25%, transparent 25%, transparent 75%, white 75%, white);
	background-size: 16px 16px;
	background-position: 0 0, 8px 8px;
}

.header .offcanvas {
	width: 240px;
}

.header .navbar-toggler {
	background: var(--bs-dark);
	z-index: 9999;
	position: fixed;
	right: 10px;
	bottom: 10px;
}


.footer__cards  .card {
	transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
	height: 170px;
}

.footer__cards .card:hover {
	background-color: #F55700!important;
	border-color: #F55700!important;
}

/*
* Misc
*/
.gallery {
	/* 2 */
	--bs-gallery-col: 50%;

	position: relative;
	width: 100%;
	overflow: hidden;

	margin: 5px 0 20px;
}
.gallery_empty {
	padding: 0;
}

.home .gallery_empty {
	min-height: 650px;
}
.home .gallery > :nth-child(-n+37) {
	display: block;
}
.home .gallery > :nth-child(n+38) {
	display: none;
}

@media (min-width: 577px) {
	.gallery {
		/* 3 */
		--bs-gallery-col: 33.33333333%;
	}
}
@media (min-width: 865px) {
	.gallery {
		/* 4 */
		--bs-gallery-col: 25%;
	}
}
@media (min-width: 1153px) {
	.gallery {
		/* 5 */
		--bs-gallery-col: 20%;
	}

	.home .gallery > :nth-child(-n+36) {
		display: block;
	}
	.home .gallery > :nth-child(n+37) {
		display: none;
	}
}
@media (min-width: 1441px) {
	.gallery {
		/* 6 */
		--bs-gallery-col: 16.66666667%;
	}

	.home .gallery > :nth-child(-n+37) {
		display: block;
	}
}
@media (min-width: 1729px) {
	.gallery {
		/* 7 */
		--bs-gallery-col: 14.2857143%;
	}

	.home .gallery > :nth-child(-n+36) {
		display: block;
	}
	.home .gallery > :nth-child(n+37) {
		display: none;
	}
}
@media (min-width: 2017px) {
	.gallery {
		/* 8 */
		--bs-gallery-col: 12.5%;
	}

	.home .gallery > :nth-child(-n+33) {
		display: block;
	}
	.home .gallery > :nth-child(n+34) {
		display: none;
	}
}
@media (min-width: 2305px) {
	.gallery {
		/* 9 */
		--bs-gallery-col: 11.1111111%;
	}

	.home .gallery > :nth-child(-n+37) {
		display: block;
	}
	.home .gallery > :nth-child(n+38) {
		display: none;
	}
}
@media (min-width: 2593px) {
	.gallery {
		/* 10 */
		--bs-gallery-col: 10%;
	}

	.home .gallery > :nth-child(-n+31) {
		display: block;
	}
	.home .gallery > :nth-child(n+32) {
		display: none;
	}
}
@media (min-width: 2881px) {
	.gallery {
		/* 11 */
		--bs-gallery-col: 9.09090909%;
	}

	.home .gallery > :nth-child(-n+34) {
		display: block;
	}
	.home .gallery > :nth-child(n+35) {
		display: none;
	}
}
@media (min-width: 3169px) {
	.gallery {
		/* 12 */
		--bs-gallery-col: 8.33333333%;
	}

	.home .gallery > :nth-child(-n+37) {
		display: block;
	}
	.home .gallery > :nth-child(n+38) {
		display: none;
	}
}

.gallery_empty + .recent-bottom {
	display: none;
}

.gallery__sizer, .gallery__item {
	display: block;
	position: relative;
	float: left;
	width: var(--bs-gallery-col);

	/* transition-duration: 0s !important; */
	/* transition: none !important; */
}

.gallery__sizer {
	position: absolute;
	opacity: 0;
}

.gallery__item img {
	transition: opacity .5s;
	background-color: #000;
}
.gallery__item.is-loading img {
	opacity: 0;
}


.gallery__item:hover .like,
.gallery__item:hover .front,
.gallery__item:hover .moderation {
	visibility: visible;
}

.gallery__item.is-processing:before {
	content: '';
  display: block;
  width: 2rem;
  height: 2rem;

  border: 0.25em solid currentColor;
  border-right-color: transparent;
  border-radius: 50%;
  -webkit-animation: 0.75s linear infinite spinner-border;
  animation: 0.75s linear infinite spinner-border;

	color: #F55700;
	position: absolute;
	z-index: 10;
	left: 50%;
	top: 50%;
	margin: -1rem 0 0 -1rem;
}

.like, .upscale, .moderation, .variation, .similar, .download {
	position: absolute;
	top: 3px;
	right: 3px;
	visibility: hidden;
}

.moderation {
	left: 3px;
	width: 130px;
}
.moderation .btn {
	margin-right: 2px;
}

/* Modals */
.modal-backdrop {
	z-index: 1001;
}

/*
* Carousel
*/
.image-show.carousel-item .variation {
	top: 69px;
	visibility: visible;
	z-index: 999;
}
.image-show.carousel-item .download {
	top: 36px;
	visibility: visible;
	z-index: 999;
}
.image-show.carousel-item .similar {
	top: 102px;
	visibility: visible;
	z-index: 999;
}
.image-show.carousel-item .upscale {
	top: 135px;
	visibility: visible;
	z-index: 999;
}
.image-show.carousel-item .like,
.image-show.carousel-item .moderation {
	top: 3px;
	visibility: visible;
	z-index: 999;
}


/* img2img dropzone */
#img2img {
	cursor: pointer;
}

#img2img-preview:empty {
	display: none!important;
}

#img2img-preview .dz-preview {
	position: relative;
}

#img2img-preview .dz-remove {
	opacity: 0;
	transition: opacity .2s;
	cursor: pointer;

	width: 28px;
	height: 28px;
	text-indent: -9999px;
	white-space: nowrap;

	position: absolute;
	right: 5px;
	bottom: 5px;
	border-radius: 3px;

	background-color: rgba(56,57,59, 0.5);
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 13 14'%3E %3Cpath fill='%23fff' d='m6.51 8.3 1.66 1.65c.12.12.28.19.45.19.16 0 .31-.06.42-.19a.591.591 0 0 0 0-.89L7.39 7.41l1.67-1.68c.24-.2.26-.56.06-.8-.02-.03-.05-.05-.07-.07a.616.616 0 0 0-.87 0L6.52 6.52 4.84 4.86a.582.582 0 0 0-.43-.18.62.62 0 0 0-.44.18c-.12.12-.19.27-.18.44 0 .17.06.32.18.45l1.66 1.66-1.68 1.68c-.12.11-.19.27-.18.44 0 .17.07.31.2.43.12.11.28.17.44.17.16 0 .31-.06.43-.17l1.68-1.65ZM2.7 13.87c-.42 0-.78-.15-1.07-.44a1.48 1.48 0 0 1-.44-1.07V2.13H.96c-.17 0-.32-.07-.44-.19a.591.591 0 0 1-.19-.43c0-.16.06-.3.19-.43C.63.96.79.89.95.89h3.09c0-.2.08-.37.22-.52.14-.14.32-.22.52-.22h3.4c.2 0 .37.07.52.22.15.15.23.32.23.52h3.09c.16 0 .3.06.43.19.12.11.19.27.19.43 0 .17-.07.32-.19.43-.11.12-.27.19-.43.19h-.24v10.23c0 .42-.15.78-.44 1.07-.29.29-.65.44-1.07.44H2.68Z' /%3E %3C/svg%3E");
	background-size: 13px 14px;
	background-repeat: no-repeat;
	background-position: center;
}

#img2img-preview .dz-preview:hover .dz-remove {
	opacity: 1;
}

#img2img-preview .dz-preview .dz-image {
	display: block;
	width: 100%;
	max-width: 140px;
	height: auto;
}
#img2img-preview .dz-preview .dz-image img {
	display: block;
	max-width: 100%;
	height: auto;
}

#img2img-preview .dz-details {
	display: none;
	max-width: 300px;
	vertical-align: top;
}
#img2img-preview .dz-success-mark,
#img2img-preview .dz-error-mark,
#img2img-preview:empty {
	display: none;
}
#img2img-preview .dz-error-message{
	display: none;
	margin: 4px 0px;
	color: white;
	background: red;
}
#img2img-preview .dz-error-message span{
	margin: 4px 8px;
}

#mainform textarea{
	min-height: 89px;
	max-height: 736px;
}

/* LUM-59 */

#upscaled
{
	text-transform: uppercase;
}
/* LUM-86 */
img.ref{
	width: auto;
	max-width: 140px;
	min-width: 50px;
}

.subscription {
	padding: 160px 20px;
}

.feature {
	padding: 20px;
	min-height: 240px;
}

.subscribe {
	position: relative;
	background: #202023;
	padding: 240px 20px;

	background-image: url(https://lumenor.ai/cdn-cgi/imagedelivery/F5KOmplEz0rStV2qDKhYag/7e248e41-01dd-4a08-11d4-e4e1a4640600/w=1152,h=1536);
	background-size: auto 100%;
	background-repeat: no-repeat;
	background-position: center top;
}

.subscribe .row {
	position: relative;
	z-index: 2;
}

.subscribe__bg {
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;

	--bs-bg-opacity: 0.71;
}

.subscribe__message:empty {
	display: none;
}

.subscribe .form-control {
	background: #E8E8E8;
	color: #000;
}

.modal_prompt .modal-body {
	padding: 0;
}

.modal_prompt .btn-close {
	display: block!important;
	position: absolute;
	top: 12px;
	right: 15px;
}

.modal_prompt .col-xl-10 {
	width: 100%;
}

.examples {
  display: grid;
	gap: 0px 0px;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  grid-template-areas:
    "a b e e f g"
    "c d e e h i";
}
.examples__item:nth-child(1) { grid-area: a; }
.examples__item:nth-child(2) { grid-area: b; }
.examples__item:nth-child(3) { grid-area: c; }
.examples__item:nth-child(4) { grid-area: d; }
.examples__item:nth-child(5) { grid-area: e; }
.examples__item:nth-child(6) { grid-area: f; }
.examples__item:nth-child(7) { grid-area: g; }
.examples__item:nth-child(8) { grid-area: h; }
.examples__item:nth-child(9) { grid-area: i; }

.examples-tabs .btn {
	padding-left: 1rem;
	padding-right: 1rem;
	user-select: none;
}

.examples-tabs .active .btn-secondary {
  color: var(--bs-white);
  background-color: var(--bs-warning);
  border-color: var(--bs-warning)
}

@media (max-width: 1199px) {
	.subscription {
		padding: 80px 20px;
	}

	.subscribe {
		padding: 120px 20px;
	}
}

@media (max-width: 991px) {
	.subscription {
		padding: 40px 20px;
	}

	.subscribe {
		padding: 60px 20px;
	}

	.examples {
		grid-template-columns: 1fr 1fr 1fr 1fr;
		grid-template-rows: 1fr 1fr 1fr;
		grid-template-areas:
			"a e e f"
			"b e e g"
			"c d h i";
	}
}

@media (max-width: 575px) {
	.subscription {
		padding: 20px 20px;
	}
	.subscribe {
		padding: 0;
		background: none;
	}

	.modal_prompt .modal-dialog {
		margin: 0;
	}
}

@media (max-width: 530px) {
	.examples {
		grid-template-columns: 1fr 1fr;
		grid-template-rows: 1fr 1fr 1fr 1fr [e] 1fr 1fr;
		grid-template-areas:
			"e e"
			"e e"
			"a b"
			"c d"
			"f g"
			"h i";
	}
}

.prompt-header {
	font-size: 1.4rem;
	margin-bottom: 1rem;
}

.prompt-text {
	font-size: 0.75rem;
}

#email {
	height: 38px
}

.search-subtitle  {
	margin-top: -1.3rem!important;
	margin-bottom: 2.3rem!important;
}

.margin-bottom {
	margin-bottom: 1rem;
}

.footer-links-margin-top {
	margin-top: 3rem;
}

select#pack{
	width: 100%;
	text-align: left;
	padding-left: 0.65rem;
	padding-right: 0.65rem;
}

pre{
	background: #333;
	padding: 0.5rem;
}
.post figure img{
	max-width: 100%;
	height: auto;
}

.tokens b[data-bs-toggle="tooltip"]{
	cursor: help;
}

/* VDA */

.vda {
	position: relative;
}

ins.adsbygoogle {
	display: block;
	text-align: center;
}

ins.adsbygoogle[data-ad-status="unfilled"] {
	display: none !important;
}

.vda_search ins.adsbygoogle {
	margin: 15px 0 0 0;
}

.vda.gallery__item .vda__content {
	transition: opacity .5s;
}

.vda.gallery__item.is-loading .vda__content {
	opacity: 0;
}

/* .vda.gallery__item:before {
	content: '';
	display: block;
	width: 100%;
	padding-top: 132.8125%;
} */

.vda.gallery__item .vda__content {
	/* position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0; */
	background: #fff;
}
